Subject: [bug#53878] [PATCH v2 04/15] gnu: chez-and-racket-bootstrap: Add utilities for Chez machine types.

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 18 Feb 2022 07:49:59 +0100

Am Donnerstag, dem 17.02.2022 um 15:50 -0500 schrieb Philip McGrath:
> * gnu/packages/chez-and-racket-bootstrap.scm (chez-machine-
> >nonthreaded,
> chez-machine->threaded, chez-machine->nix-system, nix-system->chez-
> machine,
> chez-upstream-features-for-system): New private functions.
> (%nix-arch-to-chez-alist, %nix-os-to-chez-alist): New private
> constants.
> (chez-scheme)[supported-systems]: Compute based on
> 'nix-system->chez-machine' and 'chez-upstream-features-for-system'.
AFAIK we don't distinguish between private/public and function (should
be "procedure"), constant or variable.  It's all "variable".

Otherwise LGTM.